<?php 
	#header("Access-Control-Allow-Origin: *");
	
	header("Content-type: text/xml; charset=utf-8 ");

	
	function get_table()
	{
		$table_name=$_POST['get_table'];
				
		if (isset($_POST['where_clause'])){
			$where_clause="WHERE ".$_POST['where_clause'];
		} else $where_clause="";

		$sql="SELECT * FROM $table_name ".$where_clause."";		
		$eaQl=mysql_query($sql);
		if ($eaQl)
		{
			$XMLDoc = new SimpleXMLElement("<?xml version='1.0' encoding='UTF-8' standalone='yes'?><table></table>");
			$xmlData = $XMLDoc->addChild("header");
			$creD="exportErstellt";
			$kassenId="KassenId";
			$xmlData->$kassenId = KASSA_ID;
			$xmlData->$creD = date('Y-m-d H:i');
					 
			while($eaRow=mysql_fetch_object($eaQl)){
				$xmlrow = $XMLDoc->addChild("line");
				foreach($eaRow as $spalte => $wert){
					if($wert == '')$wert=' ';
					$xmlrow->$spalte = $wert;
				}
			}					

			echo $XMLDoc->asXML();
		}
		else echo "Fehler beim SQL Query $sql";
				
	}
	

	if(isset($_POST['xmlUser']) && $_POST['xmlUser'] != "" 
				&& isset($_POST['xmlPwd']) && $_POST['xmlPwd'] != ""){
	
			require_once("config/connect.php");
			require_once("global_functions.php");
			
			$userQl=mysql_fetch_assoc(mysql_query("SELECT  id, passwort FROM benutzer WHERE name = '".$_POST['xmlUser']."' "));
			
		#	echo $userQl['passwort'];
			$verkauefer_id=$userQl['id'];
			
			if(md5($_POST['xmlPwd']) !== $userQl['passwort']){
				echo strip_tags("XML Anmelde Fehler.\nAufgerufene Funktion wurde nicht ausgeführt.")."\n";
				return false;
			
			}
			

			# check ob das ein report erstellen Request ist
			if(isset($_POST['get_table'])){
				get_table();
			}
			
			else 
			{
				echo "keine Funktion ausgewählt";
				echo "Funktion: get_table=<tablename> where_clause=<where_clause>";
			}
		}
	else 
	{
		echo strip_tags("Falsche oder fehlende Parameter")."\n";
		$insQl=mysql_query("INSERT INTO auditing SET konfigtitel = 'XML-Call',  ausgangswert = 'Falsche oder fehlende Parameter',
								datumzeit = NOW() ");
		print_r($_POST);
	}
	
















?>